package drills.drill02.exercise2

import java.rmi.Remote
import java.rmi.RemoteException
import java.rmi.server.UnicastRemoteObject

interface Rev : Remote {
    @Throws(RemoteException::class)
    fun <T> executeTask(task: () -> T): T
}

class RevImpl : Rev, UnicastRemoteObject() {
    override fun <T> executeTask(task: () -> T): T = task()
}
